// Map Name:	Club Virus.cs
//
// Author:	*~Milliardo~*
//------------------------------------------------------------------------------
$missionName = "Club Virus";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = false;

// what can the client choose for a team

$server::AllowTeamRed = true;
$server::AllowTeamBlue = false;	
$server::AllowTeamYellow = false;
$server::AllowTeamPurple = false;

// what can the server admin choose for available teams

$server::disableTeamRed = false;
$server::disableTeamBlue = true;
$server::disableTeamYellow = true;
$server::disableTeamPurple = true;

}

function onMissionStart()
{

//Butler
$butler = ("MissionGroup\\butler");

//Barkeep
$barkeep = ("MissionGroup\\beer");

//Turret Group
$PT = getObjectId("Missiongroup\\PT");
}

function player::onAdd(%this)
{
%ausgabe = "<f3>Welcome to Club <f5>Virus";
      say(%this,0,%ausgabe);
      messagebox(%this,"Read the rules tab. If you dont abide by them, you're out.");
      say(%player, 0,"<f5>0-----------------------------------------------------------0","bptslct.wav");
}

function vehicle::onAdd(%vehicleId)
{
  %vehicleId.ziel = 0;
  %vehicleId.nziel = 0;
  %vehicleId.timeout = 0;
}

function vehicle::onDestroyed(%destroyed,%destroyer)
{
	%player = playerManager::vehicleIdToPlayerNum(%destroyed);
	reloadObject(%destroyer,10000);
	if (%player >0)
	{
		say(0,1,getHudName(%destroyer) @ " killed " @ getHudName(%destroyed));
		%destroyer.timeout = $time;
		%destroyed.timeout = $time;
		if (%destroyer.ziel == %destroyed)
		{
			%destroyer.ziel = 0;
		}
		%destroyed.ziel = 0;
		%destroyer.nziel = 0;
	}
}

function onMissionLoad()
{
   cdAudioCycle("Yougot");
   $server::TeamDamage = true;
   %ausgabe1 = "<f3>Welcome to Club <f5>Virus<f3>\n"
            @ "The rules are:\n\n"
            @ "1) Auto-repeater taunts or abusing taunts is prohibited.\n"
            @ "2) Don't start a fight shooting in your opponent's back.\n"
            @ "3) Obey the server admin. Whatever they say goes, no matter what.\n"
            @ "4) Give yourself and your opponent honor, dont talk shit after fight.\n"
            @ "5) Please try to keep the language clean, kids play this game, too.\n\n";
   %ausgabe2 = "<f5>Consequences:\n"
            @ "1st time: Warning\n"
            @ "2nd time: Kick from the server.\n"
            @ "3rd time: Permanent IP ban.\n"
            @ "\n"
            @ "<f3>Kick some ass. <f1>~ Milliardo";
   setGameInfo(%ausgabe1 @ %ausgabe2);
   $irq = 1;
   interrupt();
}

function interrupt()
{
	$time++;
	if ($irq == 1)
	{
		schedule("interrupt();",1);
	}
}

function vehicle::onAttacked(%attacked,%attacker)
{
	if (%attacker.ziel != %attacked || %attacked.ziel != %attacker)
	{
		%a = playerManager::vehicleIdToPlayerNum(%attacked);
		%p = playerManager::vehicleIdToPlayerNum(%attacker);
		if ( %a > 0 && %p > 0 && %a != %p && (%attacker.timeout + 1 < $time))
		{
			healObject(%attacker,-50000);
			%attacker.timeout = $time;
			%a = getHudName(%attacker);
			%p = getHudName(%attacked);
			%player = playerManager::vehicleIdToPlayerNum(%attacker);
			messagebox(%player,"I said duels damnit! Knock it off!!!");
		}
	}
}

function vehicle::onScan(%scanned,%scanner)
{
	%a = getHudName(%scanner);
        %p = getHudName(%scanned);
	if (%scanner.nziel != %scanned && %scanner.ziel != %scanned)
	{
		if (%scanned.nziel != %scanner) // hat p schon a gescannt?
		{
			say(0,1,%a @ " would like to duel with " @ %p);
			%scanner.nziel = %scanned;
		}
		else
		{
			say(0,1,%a @ " vs. " @ %p @ "! Kick some ass!!!");
			%scanner.ziel = %scanned;
			%scanned.ziel = %scanner;
			%scanner.nziel = 0;
			%scanned.nziel = 0;
		}
	}
}


function barkeep::structure::onScan(%scanned, %scanner)
{
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
healObject(%scanner, 999999999 );
reloadObject(%scanner, 999999999 ); 
messagebox(%scanner,"Here you are.");

}

function tfwonly::trigger::onEnter(%this, %vehicleId)
{
   if(getSquad(%vehicleId) == "tHE fREE wORLD")
   {
       fadeevent(0,in,0.5,1,1,1);
   }
   else if(getSquad(%vehicleId) == "The Free World")
   {
       fadeevent(0,in,0.5,1,1,1);
   }
   else if(getSquad(%vehicleId) == "^The Free World^")
   {
       fadeevent(0,in,0.5,1,1,1);
   }
   else if(getSquad(%vehicleId) == "^TFW^")
   {
       fadeevent(0,in,0.5,1,1,1);
  }
   else if(getSquad(%vehicleId) == "TFW")
   {
       fadeevent(0,in,0.5,1,1,1);
   }
   else if(getSquad(%vehicleId) == "THE FREE WORLD")
   {
       fadeevent(0,in,0.5,1,1,1);
  }
   else if(getSquad(%vehicleId) == "^THE FREE WORLD^")
   {
       fadeevent(0,in,0.5,1,1,1);
  }
   else
   {
       order($PT, attack, %vehicleId);
       say(0,0,"Sorry "@getHudName(%vehicleId)@", you cant go in...RUN!!!");
   }
}

function straightup::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner,-8091.07, -128.845, 2236.66 ); 
       fadeevent(0,in,0.5,1,1,1);
}

function butler::structure::onScan($butler, %scanner)
{
	order($butler, attack, %scanner);
      	messagebox(%scanner, "BUTLER: Eat this...*mumbles*...makin' me get up...");
}

function beer::structure::onAttacked($barkeep, %attacker)
{
	order($barkeep, attack, %attacker);
      	messagebox(%attacker, "BARTENDER: You little shit...Don't touch my beer!!!");
}

function badpop::structure::onScan(%scanned, %scanner)
{
	healobject(%scanner, -99999999);
}
//----------------------------------
// DoorZ
//-----------------------------------

function Door1::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor1 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, true);
      }
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function Door1::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, false);
	}
}

function Door2::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor2 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door2"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}

function Door2::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door2"), 0, false);
	}
}

function Door3::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor3 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door3"), 0, true);
	}
	$hercsAtDoor3 = $hercsAtDoor3 + 1;
}

function Door3::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door3"), 0, false);
	}
}

function Door4::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor4 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door4"), 0, true);
	}
	$hercsAtDoor4 = $hercsAtDoor4 + 1;
}

function Door4::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door4"), 0, false);
	}
}


function Door666::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor666 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door666"), 0, true);
	}
	$hercsAtDoor666 = $hercsAtDoor666 + 1;
}

function Door666::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor666 = $hercsAtDoor666 - 1;
	if($hercsAtDoor666 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door666"), 0, false);
	}
}

//---------------------------------------------------------------
// The coolest trigger in the world by 1Cav BlackRainbow
//---------------------------------------------------------------

function upstart::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up = true;
up(%object);
}

function backtog::trigger::onEnter(%this, %object)
{
%object.up = false;
%object.cancel = true;
}

function up(%object)
{
if(%object.cancel == true) return;
else if(%object.up == true)
{
%object.upx = getposition(%object, x);
%object.upy = getposition(%object, y);
%object.upz = getposition(%object, z)+10;
setposition(%object, %object.upx, %object.upy, %object.upz);
schedule("up(" @ %object @ ");",0.1);
}
}
//----------------------------------------------------------------
